#ifndef AUDIOSTATUS_H
#define AUDIOSTATUS_H

#include <Arduino.h>
#include "display.h" // Include display.h to ensure Adafruit_ILI9341 object is declared

void audio_info(const char *info);
void audio_id3data(const char *info);
void audio_eof_mp3(const char *info);
void audio_showstation(const char *info);
void audio_showstreaminfo(const char *info); // Pass Adafruit_ILI9341 object as parameter
void audio_showstreamtitle(const char *info); // Pass Adafruit_ILI9341 object as parameter
void audio_bitrate(const char *info);
void audio_commercial(const char *info);
void audio_icyurl(const char *info);
void audio_lasthost(const char *info);
void audio_eof_speech(const char *info);

#endif
